<div [class]="inputGroupClass">
  <label *ngIf="mbConfig?.labelText != null" class="input__label" [innerHTML]="mbConfig?.labelText"><span *ngIf="mbRequired" class='label__required'>*</span></label>
  <div *ngIf="mbConfig?.labelText == null && mbConfig?.showFlexEnd" class="input__group--no-label"></div>
  <nz-upload
    nzType="drag"
    nz-col nzXs='24' nzLg='24'
    [class]="inputTextClass"
    [ngClass]="{'ant-upload-disabled': mbConfig?.disable}"
    [nzDisabled]="mbConfig?.disable"
    [nzMultiple]="mbConfig?.multiple"
    [(nzFileList)]="fileList"
    [nzBeforeUpload]="beforeUpload"
    [nzDownload]="downloadFile" [nzRemove]="removeFile"
    nzAccept='{{getListAccept()}}'
  >
    <p class="ant-upload-drag-icon">
      <em nz-icon nzType="{{mbIcon}}"></em>
    </p>
    <p class="ant-upload-text">{{mbConfig?.description ? mbConfig?.description : 'common.upload.upload'|translate }}</p>
    <p class="ant-upload-hint" *ngIf="!mbConfig?.viewDetail" [ngClass]='{"file-available": mbShowContentAlert}'>
      {{getTypeFileAvailable()}}
    </p>
    <p class="ant-upload-hint" *ngIf="mbConfig?.viewDetail" [ngClass]='{"file-available": mbShowContentAlert}'>
      {{mbConfig.viewDetailStr}}
    </p>
  </nz-upload>
  <div *ngIf="mbConfig?.textMessageValue != null && (mbConfig?.showError || isShowError)" [class]="inputMessageClass"
       [class.input__message--error]='isShowError || mbConfig?.showError'>
    <em *ngIf="mbConfig?.showIcon" nz-icon nzType="{{iconType}}" nzTheme="outline"></em>
    <span class="text__message">{{mbConfig?.textMessageValue}}</span>
  </div>
</div>
